# eric6.WebBrowser.VirusTotal.VirusTotalDomainReportDialog

Module implementing a dialog to show the VirusTotal domain report.

### Global Attributes

None

### Classes

VirusTotalDomainReportDialog | Class implementing a dialog to show the VirusTotal domain report.

### Functions

None

## VirusTotalDomainReportDialog

Class implementing a dialog to show the VirusTotal domain report.

### Derived from

QDialog, Ui_VirusTotalDomainReportDialog

### Class Attributes

None

### Class Methods

None

### Methods

VirusTotalDomainReportDialog | Constructor
on_whoisButton_clicked | Private slot to show the whois information.

### Static Methods

None

#### VirusTotalDomainReportDialog (Constructor)

VirusTotalDomainReportDialog(domain, resolutions, urls, subdomains, bdCategory, tmCategory, wtsCategory, whois, parent=None)

Constructor

domain (str)
  domain name
resolutions (list of dict)
  list of resolved host names
urls (list of dict)
  list of detected URLs
subdomains (list of str)
  list of subdomains
bdCategory (str)
  BitDefender categorization
tmCategory (str)
  TrendMicro categorization
wtsCategory (str)
  Websense ThreatSeeker categorization
whois (str)
  whois information
parent (QWidget)
  reference to the parent widget

#### VirusTotalDomainReportDialog.on_whoisButton_clicked

on_whoisButton_clicked()

Private slot to show the whois information.

Up